.GoogleButton {
    background-color: white;
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    -webkit-appearance: none;
    background-image: none;
    border: 1px solid #747775;
    -webkit-border-radius: 4px;
    border-radius: 4px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    color: #1f1f1f;
    cursor: pointer;
    font-family: 'Roboto', arial, sans-serif;
    font-size: 14px;
    height: 40px;
    letter-spacing: 0.25px;
    outline: none;
    overflow: hidden;
    padding: 0 12px;
    position: relative;
    text-align: center;
    -webkit-transition: background-color .218s, border-color .218s, box-shadow .218s;
    transition: background-color .218s, border-color .218s, box-shadow .218s;
    vertical-align: middle;
    white-space: nowrap;
    width: 100%;
    max-width: 400px;
    min-width: min-content;
    margin: 5px auto 5px auto;
}

.GoogleButton:hover {
    background-color: white;
}

    .GoogleButton:focus {
        background-color: white;
    }

.GoogleButtonImgDiv {
    position: absolute;
    left: 0%;
    top: 0%;
    margin: auto;
    width: 10%;
    height: 40px;
}

.GoogleButtonTextDiv {
    position: absolute;
    left: 10%;
    top: 0%;
    margin: auto;
    width: 90%;
    height: 100%;
}

.GoogleButtonImg {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    margin: auto;
    width: 40px;
}


.GoogleButtonText {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    margin: auto;
    color: black;
}
